Package org.eclipse.cdt.core.resources

## Class PathEntryStoreChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.cdt.core.resources.PathEntryStoreChangedEvent

All Implemented Interfaces:
  `Serializable`

    public class PathEntryStoreChangedEvent
    extends EventObject

PathEntryChangedEvent

See Also:
  Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static int` `CONTENT_CHANGED`
`static int` `STORE_CLOSED`

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`PathEntryStoreChangedEvent​(IPathEntryStore store, org.eclipse.core.resources.IProject project, int flags)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IPathEntryStore` `getPathEntryStore()`
`org.eclipse.core.resources.IProject` `getProject()`
`boolean` `hasClosed()`
`boolean` `hasContentChanged()`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CONTENT_CHANGED

    public static final int CONTENT_CHANGED

See Also:
  Constant Field Values

#### STORE_CLOSED

    public static final int STORE_CLOSED

See Also:
  Constant Field Values

### Constructor Detail

#### PathEntryStoreChangedEvent

    public PathEntryStoreChangedEvent​(IPathEntryStore store,
                                      org.eclipse.core.resources.IProject project,
                                      int flags)

### Method Detail

#### getPathEntryStore

    public IPathEntryStore getPathEntryStore()

#### getProject

    public org.eclipse.core.resources.IProject getProject()

#### hasContentChanged

    public boolean hasContentChanged()

#### hasClosed

    public boolean hasClosed()